module.exports = {
  purge: {
    content: [ './src/**/**/*.vue', ],
  },
  theme: {
    colors: {
      transparent: 'transparent',
      current: 'currentColor',

      black: '#000',
      white: '#fff',

      gray: {
        100: '#f7fafc',
        200: '#edf2f7',
        300: '#e2e8f0',
        400: '#cbd5e0',
        500: '#a0aec0',
        600: '#718096',
        700: '#4a5568',
        800: '#2d3748',
        900: '#1a202c',
      },
      red: {
        100: '#fff5f5',
        200: '#fed7d7',
        300: '#feb2b2',
        400: '#fc8181',
        500: '#f56565',
        600: '#e53e3e',
        700: '#c53030',
        800: '#9b2c2c',
        900: '#742a2a',
      },
      green: {
        100: '#f0fff4',
        200: '#c6f6d5',
        300: '#9ae6b4',
        400: '#68d391',
        500: '#48bb78',
        600: '#38a169',
        700: '#2f855a',
        800: '#276749',
        900: '#22543d',
      },
      teal: {
        100: '#e6fffa',
        200: '#b2f5ea',
        300: '#81e6d9',
        400: '#4fd1c5',
        500: '#38b2ac',
        600: '#319795',
        700: '#2c7a7b',
        800: '#285e61',
        900: '#234e52',
      },
  }
  },
  variants: {
    appearance: [ 'responsive' ],
    backgroundAttachment: [ 'responsive' ],
    backgroundColor: [ 'responsive', 'hover', 'focus' ],
    backgroundPosition: [ 'responsive' ],
    backgroundRepeat: [ 'responsive' ],
    backgroundSize: [ 'responsive' ],
    borderCollapse: [],
    borderColor: [ 'responsive', 'hover', 'focus' ],
    borderRadius: [ 'responsive' ],
    borderStyle: [ 'responsive' ],
    borderWidth: [ 'responsive' ],
    cursor: [ 'responsive' ],
    display: [ 'responsive' ],
    flexDirection: [ 'responsive' ],
    flexWrap: [ 'responsive' ],
    alignItems: [ 'responsive' ],
    alignSelf: [ 'responsive' ],
    justifyContent: [ 'responsive' ],
    alignContent: [ 'responsive' ],
    flex: [ 'responsive' ],
    flexGrow: [ 'responsive' ],
    flexShrink: [ 'responsive' ],
    order: [ 'responsive' ],
    float: [ 'responsive' ],
    fontFamily: [ 'responsive' ],
    fontWeight: [ 'responsive', 'hover', 'focus' ],
    height: [ 'responsive' ],
    lineHeight: [ 'responsive' ],
    listStylePosition: [ 'responsive' ],
    listStyleType: [ 'responsive' ],
    margin: [ 'responsive' ],
    maxHeight: [ 'responsive' ],
    maxWidth: [ 'responsive' ],
    minHeight: [ 'responsive' ],
    minWidth: [ 'responsive' ],
    objectFit: [ 'responsive' ],
    objectPosition: [ 'responsive' ],
    opacity: [ 'responsive' ],
    outline: [ 'focus' ],
    overflow: [ 'responsive' ],
    padding: [ 'responsive' ],
    pointerEvents: [ 'responsive' ],
    position: [ 'responsive' ],
    inset: [ 'responsive' ],
    resize: [ 'responsive' ],
    boxShadow: [ 'responsive', 'hover', 'focus' ],
    fill: [],
    stroke: [],
    tableLayout: [ 'responsive' ],
    textAlign: [ 'responsive' ],
    textColor: [ 'responsive', 'hover', 'focus' ],
    fontSize: [ 'responsive' ],
    fontStyle: [ 'responsive' ],
    textTransform: [ 'responsive' ],
    textDecoration: [ 'responsive', 'hover', 'focus' ],
    fontSmoothing: [ 'responsive' ],
    letterSpacing: [ 'responsive' ],
    userSelect: [ 'responsive' ],
    verticalAlign: [ 'responsive' ],
    visibility: [ 'responsive' ],
    whitespace: [ 'responsive' ],
    wordBreak: [ 'responsive' ],
    width: [ 'responsive' ],
    zIndex: [ 'responsive' ],
  },
  corePlugins: {},
  plugins: [],
}